## org.apache.mahout.math
Class VectorWritable

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.math.VectorWritable

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.io.Writable

    public final class VectorWritable

extends org.apache.hadoop.conf.Configured
implements org.apache.hadoop.io.Writable

Field Summary
`static int` `FLAG_DENSE`
`static int` `FLAG_LAX_PRECISION`
`static int` `FLAG_NAMED`
`static int` `FLAG_SEQUENTIAL`
`static int` `NUM_FLAGS`

Constructor Summary
`VectorWritable()`
`VectorWritable(Vector vector)`

Method Summary
`Vector` `get()`
`boolean` `isWritesLaxPrecision()`
`void` `readFields(java.io.DataInput in)`
`void` `set(Vector vector)`
`void` `setWritesLaxPrecision(boolean writesLaxPrecision)`
`void` `write(java.io.DataOutput out)`
`static void` `writeVector(java.io.DataOutput out, Vector vector)` Write the vector to the output

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLAG_DENSE

    public static final int FLAG_DENSE

See Also:
  Constant Field Values

### FLAG_SEQUENTIAL

    public static final int FLAG_SEQUENTIAL

See Also:
  Constant Field Values

### FLAG_NAMED

    public static final int FLAG_NAMED

See Also:
  Constant Field Values

### FLAG_LAX_PRECISION

    public static final int FLAG_LAX_PRECISION

See Also:
  Constant Field Values

### NUM_FLAGS

    public static final int NUM_FLAGS

See Also:
  Constant Field Values

Constructor Detail

### VectorWritable

    public VectorWritable()

### VectorWritable

    public VectorWritable(Vector vector)

Method Detail

### get

    public Vector get()

  Returns:
    `Vector` that this `VectorWritable` is to write, or has just read

### set

    public void set(Vector vector)

### isWritesLaxPrecision

    public boolean isWritesLaxPrecision()

  Returns:
    true if this `VectorWritable` is allowed to encode `Vector` values using fewer bytes, possibly losing precision. In particular this means that floating point values will be encoded as floats, not doubles.

### setWritesLaxPrecision

    public void setWritesLaxPrecision(boolean writesLaxPrecision)

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### writeVector

    public static void writeVector(java.io.DataOutput out,
                                   Vector vector)
                            throws java.io.IOException

  Write the vector to the output

  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.